clear
set more off
for X in numlist 1024(25)1300 : capture set mem Xm
forvalues X = 5000(500)8000 {
	capture set maxvar X
	sleep 250
}
for X in numlist 4000(500)20000 : capture set mat X
cd "C:\Users\James\Dropbox\Research\Solo\Land Abundance\Replication Files\"

*************** Summary statistics and pictures
*************** 
*************** 

use fenskelandabundancedata_mainsample, clear

**Summary statistics
preserve
keep anyland anyslave landquality histpopd $controls ///
	lnatlanticslaves lnindianslaves
cap erase sumstats.xml
outreg2 anyland anyslave landquality histpopd $controls ///
	lnatlanticslaves lnindianslaves using sumstats , ///
	label auto(2) sum(log) eqkeep(mean sd min max N) excel replace
	erase sumstats.txt
restore

log using popstats, replace
centile histpopd histpopdARVEbase histpopdMJbase, centile(5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95)
log close

log using sumstatsbycontinent, replace
bysort regionmaj : su anyland anyslave histpopd 
su anyland anyslave histpopd if ssafrica==1
su anyland anyslave histpopd if broadafrica==1
log close
