clear
set more off
for X in numlist 1024(25)1300 : capture set mem Xm
forvalues X = 5000(500)8000 {
	capture set maxvar X
	sleep 250
}
for X in numlist 4000(500)20000 : capture set mat X
cd "C:\Users\James\Dropbox\Research\Solo\Land Abundance\Replication Files\"

*************** Summary statistics and pictures
*************** 
*************** 

use fenskelandabundancedata_mainsample, clear

**Summary statistics
preserve
keep anyland anyslave landquality histpopd $controls ///
	lnatlanticslaves lnindianslaves
cap erase sumstats.xml
outreg2 anyland anyslave landquality histpopd $controls ///
	lnatlanticslaves lnindianslaves using sumstats , ///
	label auto(2) sum(log) eqkeep(mean sd min max N) excel replace
	erase sumstats.txt
restore

log using popstats, replace
centile histpopd histpopdARVEbase histpopdMJbase, centile(5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95)
log close

log using sumstatsbycontinent, replace
bysort regionmaj : su anyland anyslave histpopd 
su anyland anyslave histpopd if ssafrica==1
su anyland anyslave histpopd if broadafrica==1
log close

**Programs for drawing maps
cap program drop mapdepvar
program define mapdepvar
args depvar
twoway (scatter latitude longitude if `depvar'==0, m(s) msize(medsmall)  mc(gs8)) ///
	(scatter latitude longitude if `depvar'==1, m(s) msize(medsmall)  mc(black)) ///
	(scatter latitude longitude if pointid~=., m(p) mc(black)) ///
	, scheme(lean1) legend(off) ytitle("") xtitle("") ylab(none) xlab(none)
end

cap program drop maprhs
program define maprhs
args rhsvar
cap drop pctvar
xtile pctvar=`rhsvar', nq(10)
twoway (scatter latitude longitude if pctvar==1, m(s) msize(medsmall)  mc(gs16)) ///
	(scatter latitude longitude if pctvar==2, m(s) msize(medsmall)  mc(gs15)) ///
	(scatter latitude longitude if pctvar==3, m(s) msize(medsmall)  mc(gs14)) ///
	(scatter latitude longitude if pctvar==4, m(s) msize(medsmall)  mc(gs13)) ///
	(scatter latitude longitude if pctvar==5, m(s) msize(medsmall)  mc(gs12)) ///
	(scatter latitude longitude if pctvar==6, m(s) msize(medsmall)  mc(gs11)) ///
	(scatter latitude longitude if pctvar==7, m(s) msize(medsmall)  mc(gs10)) ///
	(scatter latitude longitude if pctvar==8, m(s) msize(medsmall)  mc(gs9)) ///
	(scatter latitude longitude if pctvar==9, m(s) msize(medsmall)   mc(gs8)) ///
	(scatter latitude longitude if pctvar==10, m(s) msize(medsmall)  mc(gs7)) ///
	(scatter latitude longitude if pointid~=., m(p) mc(black)) ///
	, scheme(lean1) legend(off) ytitle("") xtitle("") ylab(none) xlab(none)
cap drop pctvar
end

append using continentsaspoints
gen random=uniform()
drop if random>0.5 & pointid~=.

**Population and slavery (maps)
mapdepvar anyslave
graph export anyslave.png, replace
graph drop Graph
maprhs histpopd 
graph export histpopd.png, replace
graph drop Graph
drop if pointid~=.

**Population and slavery (bar chart)
use fenskelandabundancedata_normalized, clear
cap gen popbin=1 if histpopd<5
replace popbin=2 if histpopd>5 & histpopd<25
replace popbin=3 if histpopd>25 & histpopd<50
replace popbin=4 if histpopd>50 & histpopd<100
replace popbin=5 if histpopd>100 & histpopd<500
replace popbin=6 if histpopd>500
cap label define popbinlab 1 "<5" 2 "5-25" 3 "25-50" 4 "50-100" 5 "100-500" 6 "500+"
label values popbin popbinlab 
graph bar (mean) anyslavery, over(popbin) ///
	scheme(lean1) ysc(range(0 1)) ylabel(0(0.25)1) ///
	ytitle("% with slavery") b1title("Historic population density (per square mile)") 
	graph export slaverypopdensity.png, replace 
graph drop Graph
