clear
set more off
for X in numlist 1024(25)1300 : capture set mem Xm
forvalues X = 5000(500)8000 {
	capture set maxvar X
	sleep 250
}
for X in numlist 4000(500)20000 : capture set mat X
cd "C:\Users\James\Dropbox\Research\Solo\Land Abundance\Replication Files\"

use fenskeLAtable5Bdata, clear

global giscontrols abslat malaria plate46 ruggedness elevation distancetocoast  ///
	pl55_2 pl55_3 pl55_4 pl55_5 pl55_6 pl55_7 pl55_8 pl55_9 pl55_11
global indivcontrols respyearofbirth* rdum* urban respage respage2
global dhscontrols $giscontrols $indivcontrols 
global outopts noni nonotes se bdec(3) tdec(3) label excel 

***Polygamy as an outcome
cap erase dhs_polyg.xml
	reg polyg usualpolygyny, cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
	reg polyg usualpolygyny $dhscontrols, cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
	areg polyg usualpolygyny $dhscontrols, a(countryroundid) cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append

	reg polyg anyslav, cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
	reg polyg anyslav $dhscontrols, cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
	areg polyg anyslav $dhscontrols, a(countryroundid) cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append

	reg polyg usualpolygyny anyslav, cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
	reg polyg usualpolygyny anyslav $dhscontrols, cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
	areg polyg usualpolygyny anyslav $dhscontrols, a(countryroundid) cl(nameinatlas_byname) 
	outreg2 using dhs_polyg, $outopts append
cap erase dhs_polyg.txt

***Polygamy as an outcome: cluster by ethnographic region
cap erase dhs_polyg_altcluster.xml
	reg polyg usualpolygyny, cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
	reg polyg usualpolygyny $dhscontrols, cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
	areg polyg usualpolygyny $dhscontrols, a(countryroundid) cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append

	reg polyg anyslav, cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
	reg polyg anyslav $dhscontrols, cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
	areg polyg anyslav $dhscontrols, a(countryroundid) cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append

	reg polyg usualpolygyny anyslav, cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
	reg polyg usualpolygyny anyslav $dhscontrols, cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
	areg polyg usualpolygyny anyslav $dhscontrols, a(countryroundid) cl(murdockregionid) 
	outreg2 using dhs_polyg_altcluster, br $outopts append
cap erase dhs_polyg_altcluster.txt
