clear
set more off
for X in numlist 1024(25)1300 : capture set mem Xm
forvalues X = 5000(500)8000 {
	capture set maxvar X
	sleep 250
}
for X in numlist 4000(500)20000 : capture set mat X
cd "C:\Users\James\Dropbox\Research\Solo\Land Abundance\Replication Files\"

use fenskeLAtable5Cdata, clear

global giscontrols abslat malaria plate46 ruggedness elevation distancetocoast  ///
	pl55_2 pl55_3 pl55_4 pl55_5 pl55_6 pl55_7 pl55_8 pl55_9 pl55_11
global indivcontrols respyearofbirth* rdum* urban respage respage2
global dhscontrols $giscontrols $indivcontrols 
global krcontrols birthdate birthorder multiple female
global outopts noni nonotes se bdec(3) tdec(3) label excel 

***Total vaccines
cap erase dhs_totalvaccines.xml
	reg totalvaccines anyslavery, cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	reg totalvaccines anyslavery $dhscontrols $krcontrols , cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	preserve
	drop if notinreg~=0
	areg totalvaccines anyslavery $dhscontrols $krcontrols , a(countryroundid) cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	restore

	reg totalvaccines statecent, cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	reg totalvaccines statecent $dhscontrols $krcontrols , cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	preserve
	drop if notinreg~=0
	areg totalvaccines statecent $dhscontrols $krcontrols , a(countryroundid) cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	restore

	reg totalvaccines anyslavery statecent, cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	reg totalvaccines anyslavery statecent $dhscontrols $krcontrols , cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	preserve
	drop if notinreg~=0
	areg totalvaccines anyslavery statecent $dhscontrols $krcontrols , a(countryroundid) cl(nameinatlas_byname) 
	outreg2 using dhs_totalvaccines, $outopts append
	restore
cap erase dhs_totalvaccines.txt

***Total vaccines (ethnicity clusters)
cap erase dhs_totalvaccines_altcluster.xml
	reg totalvaccines anyslavery, cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	reg totalvaccines anyslavery $dhscontrols $krcontrols , cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	preserve
	drop if notinreg~=0
	areg totalvaccines anyslavery $dhscontrols $krcontrols , a(countryroundid) cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	restore

	reg totalvaccines statecent, cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	reg totalvaccines statecent $dhscontrols $krcontrols , cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	preserve
	drop if notinreg~=0
	areg totalvaccines statecent $dhscontrols $krcontrols , a(countryroundid) cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	restore

	reg totalvaccines anyslavery statecent, cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	reg totalvaccines anyslavery statecent $dhscontrols $krcontrols , cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	preserve
	drop if notinreg~=0
	areg totalvaccines anyslavery statecent $dhscontrols $krcontrols , a(countryroundid) cl(murdockregionid) 
	outreg2 using dhs_totalvaccines_altcluster, br $outopts append
	restore
cap erase dhs_totalvaccines_altcluster.txt
